<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Docker Test</title>
</head>
<body>
    <div style="margin: 50px auto; text-align: center;">
        <input id="input" type="text">
        <button type="submit" onclick="submit()">Add To Database</button>
    </div>

    <button onclick="refresh()" style="margin: auto; display: block">Ask Database</button>

    <ul style="text-align: center; list-style: none; padding: 0;" id='list'></ul>

    <script>
        function submit() {
            const input = document.getElementById('input');
            console.log(input.value);
            fetch("http://localhost:5000", {
                method: 'POST',
                body: JSON.stringify({data:input.value}),
                headers: {
                    'Content-Type': 'application/json'
                }
            });

            input.value = "";
        }

        async function refresh() {
            const response = await fetch("http://localhost:5000");
            const list = await response.json()

            const ul = document.getElementById('list');
            ul.innerHTML = '';

            for (let item of list) {
                let li = document.createElement('li');
                li.innerHTML = item;
                ul.appendChild(li);
            }
        }
    </script>
</body>
</html>